Listar planes de crédito
curl --request GET \
--url https://api.finup.ar/api/credit-configs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/credit-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/credit-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true,
"installments_count": 123,
"days_until_first_payment": 123,
"cut_type": "fixed",
"daily_punitory_rate": 123,
"interest_rate": 123,
"payment_day": 123,
"grace_days": 123,
"punitory_mode": "simple_outstanding",
"max_punitory_days": 123,
"punitory_cap_pct": 123,
"write_off_days": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>"
}Configuraciones
Listar planes de crédito
GET
https://api.finup.ar
/
api
/
credit-configs
Listar planes de crédito
curl --request GET \
--url https://api.finup.ar/api/credit-configs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/credit-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/credit-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true,
"installments_count": 123,
"days_until_first_payment": 123,
"cut_type": "fixed",
"daily_punitory_rate": 123,
"interest_rate": 123,
"payment_day": 123,
"grace_days": 123,
"punitory_mode": "simple_outstanding",
"max_punitory_days": 123,
"punitory_cap_pct": 123,
"write_off_days": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Response
Configuraciones del negocio.
Available options:
fixed, monthly Available options:
simple_outstanding, compound, full_amount 